Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller
Interface ObjectMarshaller<T extends Converter>

All Known Implementing Classes:
  ArrayMarshaller, ArrayMarshaller, Base64ByteArrayMarshaller, ByteArrayMarshaller, ChainedConverterConfiguration.ChainedObjectMarshaller, ClosureOjectMarshaller, CollectionMarshaller, CollectionMarshaller, DateMarshaller, DateMarshaller, DeepDomainClassMarshaller, DeepDomainClassMarshaller, DomainClassMarshaller, DomainClassMarshaller, EnumMarshaller, EnumMarshaller, GenericJavaBeanMarshaller, GenericJavaBeanMarshaller, GroovyBeanMarshaller, GroovyBeanMarshaller, InstanceMethodBasedMarshaller, InstanceMethodBasedMarshaller, JavascriptDateMarshaller, MapMarshaller, MapMarshaller, ProxyUnwrappingMarshaller, ToStringBeanMarshaller, ToStringBeanMarshaller, ValidationErrorsMarshaller, ValidationErrorsMarshaller

    public interface ObjectMarshaller<T extends Converter>

An ObjectMarshaller is responsible for converting a Java/Groovy Object graph to a serialized form (JSON,XML) The ObjectMarshaller implementation must use a a type parameter - either grails.convereters.JSON or grails.converters.XML and it should to be thread-safe

Since:
  1.1
Author:
  Siegfried Puchbauer

Method Summary
`void` | `marshalObject(Object object, T converter)` Performs the conversion
`boolean` | `supports(Object object)` Checks wheter the ObjectMarshaller is able/intended to support the given Object

Method Detail

### supports

    boolean supports(Object object)

  Checks wheter the ObjectMarshaller is able/intended to support the given Object

  Parameters:
    `object` - the object which is about getting converted
  Returns:
    `true` if the marshaller can/should perform the marshalling, `false` otherwise

### marshalObject

    void marshalObject(Object object,
                       T converter)
                       throws ConverterException

  Performs the conversion

  Parameters:
    `object` - the object which is about getting converted
    `converter` - the Converter to use
  Throws:
    `ConverterException` - on failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project